2,951,183 packages matching “user defined classes”
proxy-typer
v0.0.21 · 6 years ago
Runtime javascript proptypes check, for user defined classes
No known vulnerabilities
yaserializer
v2.2.0 · 7 years ago
JavaScript serialization library that can handle cycles and strives to preserve user-defined classes.
No known vulnerabilities
@babel/plugin-bugfix-firefox-class-in-computed-class-key
v8.0.1 · 3 months ago
Wraps classes defined in computed keys of other classes affected by https://bugzilla.mozilla.org/show_bug.cgi?id=1887677
No known vulnerabilities
@peculiar/asn1-pkcs9
v2.10.0 · 6 days ago
ASN.1 schema for PKCS #9 selected attribute types defined in RFC 2985.
No known vulnerabilities
jq-classrotation
v1.0.0 · 10 years ago
Allows cycling through a list of user-defined classes
No known vulnerabilities
xmlchars
v2.2.0 · 7 years ago
Utilities for determining if characters belong to character classes defined by the XML specs.
No known vulnerabilities
@peculiar/asn1-pkcs8
v2.10.0 · 6 days ago
ASN.1 schema for PKCS #8 private key information structures defined in RFC 5208.
No known vulnerabilities
@peculiar/asn1-rsa
v2.10.0 · 6 days ago
ASN.1 schema for RSA keys and algorithms defined in RFC 8017.
No known vulnerabilities
@peculiar/asn1-cms
v2.10.0 · 6 days ago
ASN.1 schema for Cryptographic Message Syntax (CMS) defined in RFC 5652.
No known vulnerabilities
@peculiar/asn1-pfx
v2.10.0 · 6 days ago
ASN.1 schema for PKCS #12 personal information exchange structures defined in RFC 7292.
No known vulnerabilities
@peculiar/asn1-csr
v2.10.0 · 6 days ago
ASN.1 schema for PKCS #10 certificate signing requests defined in RFC 2986.
No known vulnerabilities
@peculiar/asn1-x509
v2.10.0 · 6 days ago
ASN.1 schema for X.509 certificates, certificate revocation lists, and related profile structures defined in RFC 5280.
No known vulnerabilities
@peculiar/asn1-x509-attr
v2.10.0 · 6 days ago
ASN.1 schema for X.509 attribute certificates defined in RFC 5755.
No known vulnerabilities
@peculiar/asn1-ecc
v2.10.0 · 6 days ago
ASN.1 schema for elliptic-curve private keys and related identifiers defined in RFC 5915, RFC 5480, and RFC 3279.
No known vulnerabilities
defined
v1.0.1 · 3 years ago
return the first argument that is `!== undefined`
No known vulnerabilities
@apollo/utils.fetcher
v3.1.0 · 2 years ago
Minimal web-style fetch TypeScript typings
No known vulnerabilities
posix-character-classes
v1.0.0 · 9 years ago
POSIX character classes for creating regular expressions.
No known vulnerabilities
@peculiar/asn1-x509-logotype
v2.10.0 · 6 days ago
ASN.1 schema for X.509 certificate logotype extensions defined in RFC 3709 and RFC 9399.
No known vulnerabilities
@babel/plugin-transform-classes
v8.0.5 · 23 days ago
Compile ES2015 classes to ES5
No known vulnerabilities
@peculiar/asn1-asym-key
v2.10.0 · 6 days ago
ASN.1 schema for asymmetric key packages and OneAsymmetricKey structures defined in RFC 5958.
No known vulnerabilities